Categories:
  - System
  - Connectivity
License: GPL-3.0-only
SourceCode: https://github.com/Kadabash/SyncOnWifi
IssueTracker: https://github.com/Kadabash/SyncOnWifi/issues
Changelog: https://github.com/Kadabash/SyncOnWifi/releases

AutoName: SyncOnWifi
Summary: Synchronize accounts only on specific networks
Description: |-
    Ever had an account on your android device that you want to sync only when
    you're at home? Ever wished you could have your work email stop synchronising
    when you leave the office? SyncOnWifi handles this for you. It automatically
    switches synchronisation of your account on or off, depending on the WiFi
    network you are connected to.

    The following permission are required:

    * WiFi / network status to react to WiFi network connecting / disconnecting.
    * Contacts / Accounts access to read which accounts there are on your device. NO contact data is accessed.
    * Read / Write synchronisation settings to allow automatic synchronisation switching.

RepoType: git
Repo: https://github.com/Kadabash/SyncOnWifi

Builds:
  - versionName: '1.0'
    versionCode: 1
    commit: 98685ea3ba8aca9a817a9088c0103b1816f8fd0c
    subdir: app
    gradle:
      - yes
    prebuild: "echo 'task wrapper(type: Wrapper) { gradleVersion = \"3.3\" }' >> build.gradle"

  - versionName: 1.0.1
    versionCode: 2
    commit: v1.0.1
    subdir: app
    gradle:
      - yes
    prebuild: "echo 'task wrapper(type: Wrapper) { gradleVersion = \"3.3\" }' >> build.gradle"

  - versionName: 1.0.2
    versionCode: 3
    commit: v1.0.2
    subdir: app
    gradle:
      - yes
    prebuild: "echo 'task wrapper(type: Wrapper) { gradleVersion = \"3.3\" }' >> build.gradle"

AutoUpdateMode: Version v%v
UpdateCheckMode: Tags
CurrentVersion: 1.0.2
CurrentVersionCode: 3
